#include "led.h"
uint8_t R1=0,R2=0,R3=0,R4=0;
//-------------------------------------------------
extern UART_HandleTypeDef huart2;
extern I2C_HandleTypeDef hi2c1;
//-------------------------------------------------
extern uint16_t gpio_data;
uint8_t n_count=0;
//-------------------------------------------------
void segchar (uint8_t seg)
{
	switch(seg)
	{
case 1:
      gpio_data &= ~(0x06);
      break;
    case 2:
      gpio_data &= ~(0x5B);
      break;
    case 3:
      gpio_data &= ~(0x4F);
      break;
    case 4:
      gpio_data &= ~(0x66);
      break;
		case 5:
      gpio_data &= ~(0x6D);
      break;
    case 6:
      gpio_data &= ~(0x7D);
      break;
    case 7:
      gpio_data &= ~(0x07);
      break;
    case 8:
      gpio_data &= ~(0x7F);
      break;
    case 9:
      gpio_data &= ~(0x6F);
      break;
    case 0:
      gpio_data &= ~(0x3F);
      break;
    case 10: //
      gpio_data &= ~(0x00);
      break;
		case 'L':
			gpio_data &= ~(0x38);
			break;
		case 'H':
			gpio_data &= ~(0x76);
			break;
	}
	stmpe1600_WriteReg(GPSR, (uint8_t*)&gpio_data, 2);
}
//-------------------------------------------------
void led_char(char c)
{
  //   
  R1 = 10; R2 = 11; R3 = 12;
  //    
  R4 = c;
}
//-------------------------------------------------
void ledprint(uint16_t number)
{
  R1 = number/1000;
  R2 = number%1000/100;
  R3 = number%100/10;
  R4 = number%10;
  //  
  if (number<1000) R1=10;
  if (number<100) R2=10;
  if (number<10) R3=10;
}
//-------------------------------------------------
void led_off(void)
{
  gpio_data |= (V2_D1|V2_D2|V2_D3| V2_D4); // segment en off
  stmpe1600_WriteReg(GPSR, (uint8_t*)&gpio_data, 2);
}
//-------------------------------------------------
void LED_TIM_Callback(void)
{
  gpio_data |= 0x7F; // clear 7 seg bits
  gpio_data |= V2_D1|V2_D2|V2_D3|V2_D4; // all digit off
  gpio_data &= ~(V2_D1<<n_count); // digit on
  if(n_count==0)
  {
    segchar(R1);
  }
  if(n_count==1)
  {
    segchar(R2);
  }
  if(n_count==2)
  {
    segchar(R3);
  }
  if(n_count==3)
  {
    segchar(R4);
  }
  n_count++;
  if(n_count>3) n_count=0;
}
//-------------------------------------------------
